Bug 843974 - Version of Oz in Fedora 16 does not have support for RHEL 5.8 images
Version of Oz in Fedora 16 does not have support for RHEL 5.8 images
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: oz (Show other bugs)
16
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Chris Lalancette
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 14:35 EDT by Ronelle Landy
Modified: 2013-01-16 08:14 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-16 08:14:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronelle Landy 2012-07-27 14:35:14 EDT
Description of problem:

Logging this BZ as it is blocking testing of Conductor rpms on F16 .....

The version of oz availble from F16 (oz-0.8.0-1.fc16.noarch) doe snot have support for building and then pushing RHEL 5.8 images. Trying to push a RHE: 5.8 image to EC2 results in the error below:

***************************

2012-07-26 18:54:31,025 DEBUG imgfac.BuildJob.BuildJob thread(5339c9f6) Message: Builder (5339c9f6-feff-4845-b917-44d809f29528) changed percent complete from 0 to 0
2012-07-26 18:54:31,025 DEBUG imgfac.BuildJob.BuildJob thread(5339c9f6) Message: Builder (5339c9f6-feff-4845-b917-44d809f29528) changed status from PUSHING to FAILED
2012-07-26 18:54:31,025 DEBUG imgfac.BuildJob.BuildJob thread(5339c9f6) Message: 5339c9f6-feff-4845-b917-44d809f29528 for ec2 about to exit ec2 queue...
2012-07-26 18:54:31,025 DEBUG imgfac.ReservationManager.ReservationManager thread(5339c9f6) Message: EXITING queue: (ec2)
2012-07-26 18:54:31,025 DEBUG imgfac.ReservationManager.ReservationManager thread(5339c9f6) Message: SUCCESS EXITING queue: (ec2)
2012-07-26 18:54:31,025 DEBUG imgfac.builders.BaseBuilder.RHEL5_ec2_Builder thread(5339c9f6) Message: Exception caught in ImageFactory
2012-07-26 18:54:31,026 DEBUG imgfac.builders.BaseBuilder.RHEL5_ec2_Builder thread(5339c9f6) Message: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/imgfac/builders/Fedora_ec2_Builder.py", line 481, in push_image
    credentials)
  File "/usr/lib/python2.7/site-packages/imgfac/builders/Fedora_ec2_Builder.py", line 603, in push_image_snapshot_ec2
    raise ImageFactoryException("No available JEOS for desired OS, verison combination")
ImageFactoryException: No available JEOS for desired OS, verison combination

**********************

The version of oz shipping with Conductor 1.0.1 - when installed on RHEL 6.2 (with updates) does not have this problem (packages/oz/0.8.0/5rhel63rc1.el6_2/noarch/oz-0.8.0-5rhel63rc1.el6_2.noarch.rpm)

As a side note RHEL 6.3 support is also needed.

Version-Release number of selected component (if applicable):

>> rpm -qa |grep oz
oz-0.8.0-1.fc16.noarch

>> rpm -qa |grep aeolus
rubygem-aeolus-image-0.6.0-0.20120726120027git05a815a.fc16.noarch
rubygem-aeolus-cli-0.6.0-0.20120726120024git2a28761.fc16.noarch
aeolus-conductor-0.11.0-0.20120726160007git373f3dc.fc16.noarch
aeolus-conductor-doc-0.11.0-0.20120726160007git373f3dc.fc16.noarch
aeolus-all-0.11.0-0.20120726160007git373f3dc.fc16.noarch
aeolus-configure-2.7.0-0.20120726120022gitee0ff5c.fc16.noarch
aeolus-conductor-daemons-0.11.0-0.20120726160007git373f3dc.fc16.noarch

Note that updates-testing repo was enabled during install

How reproducible:
always

Steps to Reproduce:
1. Install conductor on F16 from internal nightly repos (aeolus-nightly/fedora-16/x86_64)
2. Run aeolus-configure -p mock, ec2, rhevm, vsphere
3. Build and push a 5.8 image to any provider

See the error in /var/log/imagefactory.log 
  
Actual results:

Failure - no image in the provider

Expected results:

Built and pushed RHEL 5.8 image

Additional info:
Comment 1 Chris Lalancette 2012-07-30 09:46:50 EDT
Yeah, both RHEL 5.8 and 6.3 are supported in the next version of Oz (0.9.0).  I'm going to try to get a release out this week, and build it into F-16 and F-17.

Chris
Comment 2 Fedora End Of Life 2013-01-16 07:39:00 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.